delete-users
curl --request DELETE \
--url https://api.notifly.tech/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123",
"userProperties": {
"$email": "delete@example.com",
"$phone_number": "+821012345678"
}
}
'import requests
url = "https://api.notifly.tech/users"
payload = {
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123",
"userProperties": {
"$email": "delete@example.com",
"$phone_number": "+821012345678"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
userId: 'user_abc123',
userProperties: {$email: 'delete@example.com', $phone_number: '+821012345678'}
})
};
fetch('https://api.notifly.tech/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": 1
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "<string>",
"projectId": null,
"durationMs": null
}이벤트 & 유저
유저 삭제
노티플라이에 등록된 유저를 삭제합니다. 유저 ID, 이메일, 전화번호, 라인 유저 ID 중 하나를 기준으로 단일 또는 다중 삭제를 지원합니다.
DELETE
/
users
delete-users
다중 유저 삭제한번에 여러 유저를 삭제할 수도 있습니다. 같은 형식의 Object들을 Array 형태로 호출해주시면 됩니다.
- 최대 삭제 수: 1회 호출당 최대 1,000명의 사용자까지만 삭제 가능합니다.
- 삭제 기준: 유저 ID, 이메일, 전화번호, 라인 유저 ID를 기준으로 삭제할 수 있습니다.
- 전화번호 형식: 전화번호는 정확히 일치해야 합니다. (010-1234-1234 != 01012341234)
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
본문
application/json
응답
성공적인 유저 삭제입니다
삭제된 행 수
⌘I
